%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:           freetennis
Version:        0.4.8
Release:        18%{?dist}
Summary:        Tennis simulation game
Group:          Amusements/Games
License:        GPLv2+
URL:            http://freetennis.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        freetennis.desktop
Source2:        freetennis.png
Patch0:         freetennis-0.4.8-pathfixes.patch
Patch1:         freetennis-0.4.8-build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch:    sparc64 s390 s390x
BuildRequires:  ocaml, SDL_gfx-devel, SDL_mixer-devel, gdk-pixbuf-devel 
BuildRequires:  libXmu-devel, gtk2-devel, desktop-file-utils
BuildRequires:  SDL_ttf-devel
BuildRequires:  ocaml-camlimages-devel
BuildRequires:  ocaml-SDL-devel >= 0.7.2-8
BuildRequires:  ocaml-lablgl-devel
BuildRequires:  ocaml-lablgtk-devel >= 2.10.1-5

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh

%description
Free Tennis is a free software tennis simulation game.  The game can be 
played against an A.I. or human-vs-human via LAN or internet.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

mv freetennis $RPM_BUILD_ROOT%{_bindir}
mv graphics $RPM_BUILD_ROOT%{_datadir}/%{name}/
mv sfx $RPM_BUILD_ROOT%{_datadir}/%{name}/

desktop-file-install --vendor="fedora"               \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
  %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
install -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files
%defattr(-,root,root,-)
%doc COPYING CHANGES.txt AUTHORS TODO.txt web-site/
%{_bindir}/freetennis
%{_datadir}/%{name}
%{_datadir}/applications/fedora-freetennis.desktop
%{_datadir}/icons/hicolor/48x48/apps/freetennis.png

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 16 2009 S390x secondary arch maintainer <fedora-s390x@lists.fedoraproject.org>
- ExcludeArch sparc64, s390, s390x as we don't have OCaml on those archs
  (added sparc64 per request from the sparc maintainer)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 20 2008 Hans de Goede <hdegoede@redhat.com> - 0.4.8-16
- Fix building with latest ocaml-images

* Thu Nov 20 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.8-15
- Rebuild for OCaml 3.11.0+beta1.

* Mon Sep 22 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.8-14
- patch -> patch0 (rhbz #463055).
- BR ocaml-lablgtk >= 2.10.1-5

* Fri Jul 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.8-12
- fix license tag

* Wed Apr 23 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.8-11
- Rebuild for OCaml 3.10.2

* Sat Mar  1 2008 Richard W.M. Jones <rjones@redhat.com> 0.4.8-10
- Rebuild for ppc64.

* Wed Feb 13 2008 Richard W.M. Jones <rjones@redhat.com> 0.4.8-9
- Missing BR ocaml-lablgl-devel and ocaml-lablgtk-devel

* Wed Feb 13 2008 Richard W.M. Jones <rjones@redhat.com> 0.4.8-8
- Make it BR on the latest ocaml-SDL.

* Wed Feb 13 2008 Richard W.M. Jones <rjones@redhat.com> 0.4.8-7
- Rebuild for OCaml 3.10.1
- OCaml packaging guidelines.

* Wed May 09 2007 Nigel Jones <dev@nigelj.com> 0.4.8-6
- Add ExcludeArch on ppc64 (Bug 239521)

* Sun May 06 2007 Nigel Jones <dev@nigelj.com> 0.4.8-5
- Add missing BuildRequires (SDL_ttf-devel)

* Fri May 04 2007 Nigel Jones <dev@nigelj.com> 0.4.8-4
- Add SportsGame to .desktop file
- Correct source URL

* Fri May 04 2007 Nigel Jones <dev@nigelj.com> 0.4.8-3
- Change builddep to ocaml-camlimages

* Thu May 03 2007 Nigel Jones <dev@nigelj.com> 0.4.8-2
- Add freetennis.png and alter freetennis.desktop to show icon
- Change builddep to ocaml-SDL-devel

* Tue Apr 10 2007 Nigel Jones <dev@nigelj.com> 0.4.8-1
- Initial spec file

